# Uses of Class
org.eclipse.team.core.ScmUrlImportDescription

Packages that use ScmUrlImportDescription
Package
Description
org.eclipse.team.core.importing.provisional
Application programming interfaces for importing projects into the workspace.
org.eclipse.team.ui
Provides basic support for managing Team providers.

## Uses of ScmUrlImportDescription in org.eclipse.team.core.importing.provisional

Methods in org.eclipse.team.core.importing.provisional that return ScmUrlImportDescription
Modifier and Type
Method
Description
`ScmUrlImportDescription[]`
BundleImporterDelegate.`validateImport(Map[] manifests)`
`ScmUrlImportDescription[]`
IBundleImporterDelegate.`validateImport(Map[] manifests)`
Returns an array of objects describing how each given bundle (manifest headers and values) can be imported into a workspace project.
Methods in org.eclipse.team.core.importing.provisional with parameters of type ScmUrlImportDescription
Modifier and Type
Method
Description
`IProject[]`
BundleImporterDelegate.`performImport(ScmUrlImportDescription[] descriptions, IProgressMonitor monitor)`
`IProject[]`
IBundleImporterDelegate.`performImport(ScmUrlImportDescription[] descriptions, IProgressMonitor monitor)`
Imports bundles into the workspace creating a project for each import description.

## Uses of ScmUrlImportDescription in org.eclipse.team.ui

Methods in org.eclipse.team.ui that return ScmUrlImportDescription
Modifier and Type
Method
Description
`ScmUrlImportDescription[]`
IScmUrlImportWizardPage.`getSelection()`
Return the import descriptions for the page.
Methods in org.eclipse.team.ui with parameters of type ScmUrlImportDescription
Modifier and Type
Method
Description
`void`
IScmUrlImportWizardPage.`setSelection(ScmUrlImportDescription[] descriptions)`
Sets the import descriptions to be edited on the page.